org.apache.xmlbeans

## Interface XmlDate

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource

      public interface XmlDate
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:date type.

  Convertible to `Calendar`, `Date`, and `GDate`.

  See Also:
    `XmlCalendar`, `GDate`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XmlDate.Factory` A class with methods for creating instances of `XmlDate`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `calendarValue()` Deprecated. replaced with `getCalendarValue()`
    `java.util.Date` | `dateValue()` Deprecated. replaced with `getDateValue()`
    `GDate` | `gDateValue()` Deprecated. replaced with `getGDateValue()`
    `java.util.Calendar` | `getCalendarValue()` Returns this value as a `Calendar`
    `java.util.Date` | `getDateValue()` Returns this value as a `Date`
    `GDate` | `getGDateValue()` Returns this value as a `GDate`
    `void` | `set(java.util.Calendar c)` Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
    `void` | `set(java.util.Date d)` Deprecated. replaced with `setDateValue(java.util.Date)`
    `void` | `set(GDateSpecification gd)` Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
    `void` | `setCalendarValue(java.util.Calendar c)` Sets this value as a `Calendar`
    `void` | `setDateValue(java.util.Date d)` Sets this value as a `Date`
    `void` | `setGDateValue(GDate gd)` Sets this value as a `GDateSpecification`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### calendarValue

          java.util.Calendar calendarValue()

      Deprecated. replaced with `getCalendarValue()`
      Returns this value as a `Calendar`

    - #### set

          void set(java.util.Calendar c)

      Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
      Sets this value as a `Calendar`

    - #### gDateValue

          GDate gDateValue()

      Deprecated. replaced with `getGDateValue()`
      Returns this value as a `GDate`

    - #### set

          void set(GDateSpecification gd)

      Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
      Sets this value as a `GDateSpecification`

    - #### dateValue

          java.util.Date dateValue()

      Deprecated. replaced with `getDateValue()`
      Returns this value as a `Date`

    - #### set

          void set(java.util.Date d)

      Deprecated. replaced with `setDateValue(java.util.Date)`
      Sets this value as a `Date`

    - #### getCalendarValue

          java.util.Calendar getCalendarValue()

      Returns this value as a `Calendar`

    - #### setCalendarValue

          void setCalendarValue(java.util.Calendar c)

      Sets this value as a `Calendar`

    - #### getGDateValue

          GDate getGDateValue()

      Returns this value as a `GDate`

    - #### setGDateValue

          void setGDateValue(GDate gd)

      Sets this value as a `GDateSpecification`

    - #### getDateValue

          java.util.Date getDateValue()

      Returns this value as a `Date`

    - #### setDateValue

          void setDateValue(java.util.Date d)

      Sets this value as a `Date`